Bug 214258 - Selinux block shares samba in write
Summary: Selinux block shares samba in write
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-06 19:52 UTC by BROCKLEHURST ERIC
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 16:55:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description BROCKLEHURST ERIC 2006-11-06 19:52:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.0.7) Gecko/20060913 Fedora/1.5.0.7-1.fc5 Firefox/1.5.0.7 pango-text

Description of problem:
if you put your selinux en enabled ,  you can't write in your share 

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Put  your system-config-securitylevel in enabled  you can 't share your directory for writing


Actual Results:
if i don 't make these action , i received a access denied

Expected Results:
it must be interesting when you put a share selinux declare the object  in samba_share_t

Additional info:
2.the solution , you must made this action
3.commandes linux
ls -aZ
option Z pour visualiser or see the options de securite selinux
attention to order of the syntaxe
restorecon -vv -F -R  partage
for FC4 and make the action in the subdirectory
restorecon -vv -F -R -r partage
fixfiles relabel
chcon -R -t samba_share_t /partage

Comment 1 Daniel Walsh 2006-11-08 16:55:18 UTC
man samba_selinux explains this as expected behaviour.


Note You need to log in before you can comment on or make changes to this bug.